# CVS $Id: dialogHide.tcl,v 1.1 1995/02/03 17:15:25 zibi Exp $

#
# Example showing how to show/hide dialogs using the forms userdata
#
#

source tools.tcl

proc quitCB {cbs} {
    VtClose
    exit 0
}
proc popDownCB {cbs} {
	VtHide [keylget cbs dialog]
}


proc fileSelectionCB {cbs} {

	set dialog [keylget cbs dialog]
	set fsb [GetDialogKey $dialog fsbDialog]

	if {$fsb == ""} {
		set fsb [VtFileSelectionDialog $dialog.fsb          \
					       -okCallback popDownCB  \
					       -cancelCallback popDownCB  \
					       -okLabel Hide \
					       -cancelLabel Hide \
					       -autoHide False      \
					       -autoDestroy False]
		SetDialogKey $dialog fsbDialog $fsb
	}
	VtShow $fsb
}

proc selectionDialogCB {cbs} {

	set dialog [keylget cbs dialog]
	set sbox [GetDialogKey $dialog selDialog]

	if {$sbox == ""} {
		set sbox [VtSelectionDialog $dialog.sbox          \
					       -okCallback popDownCB  \
					       -itemList { {one}
							   {two}
							   {three}} \
					       -okLabel Hide \
					       -cancelLabel Hide \
					       -okCallback popDownCB \
					       -cancelCallback popDownCB  \
					       -autoHide False      \
					       -autoDestroy False]
		SetDialogKey $dialog selDialog $sbox
	}
	VtShow $sbox
}

#
# Start Program
#
#

set app [VtOpen dialogDemo]

set form [VtStartForm $app.form -title "Hiding/Showing"]

set rc [VtRowColumn $form.rc1]
VtPushButton $rc.but1 -label "Show File Selection Dialog" \
		      -callback fileSelectionCB
VtPushButton $rc.but2 -label "Show Selection Dialog" \
		      -callback selectionDialogCB
VtPushButton $rc.but3 -label QUIT \
		      -callback quitCB

SetDialogKey $form fsbDialog ""
SetDialogKey $form selDialog ""

VtShow $form
VtMainLoop

